%define	prefix /usr
%define majver 2
%define minver 24
%define mminver 0
%define version %{majver}.%{minver}.%{mminver}

Obsoletes: VFlib, VFlib-FT

Summary: The vector font library (VFlib2)
Name: VFlib2
Version: %{version}
Release: 0.3a
#Source: gull.se.hirosima-u.ac.jp:/pub/TypeHack/
Source0: ftp://133.41.33.136:/pub/TypeHack/VFlib2-%{version}.tar.gz
Source1: install-sh
Patch0: VFlib2-%{version}-jrpm.patch
Patch1: VFlib2-%{version}-vfcap.patch
Patch2: VFlib2-%{version}-ltmain.patch
Patch3: VFlib2-%{version}-ltconfig.patch
Copyright: GPL2
URL: http://www.se.hiroshima-u.ac.jp:80/~kakugawa/Hacks/
Group: Libraries
Buildroot: /var/tmp/root-vflib2
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
#Packager: Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
#Packager: Shiochiro Nagata <nagata@mach.ee.miyazaki-u.ac.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Provides: libVFlib.so.%{majver}

%changelog
* Mon Sep 12 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- added ltconfig and ltmain.sh patches and removed config.sub
- various clean up
- Release: 0.3a

* Mon Sep  9 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.2

- ѹ
 /usr/local -> /usr 
 ¾

- ΤΥХ
 vfontcap ΥǥեȥեȥѥäƤʤ

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- VFlib  Group:  Libraries ѹ
- VFlib-devel  Group:  Development/Libraries ѹ
- VFlib-VFjfm  Group:  Applications/Publishing/TeX ѹ

* Mon Dec 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.22pl10
- Release: 1 
- removed VFlib-2.22-sparc.patch
- moved /usr/local/lib/libVFlib.so to VFlib-devel

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 6
- added Distribution: and Vendor: tags

* Wed Oct 23 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 5
- VFlib-2.22-shared.patch  VFlib-2.22-jrpm.patch ѹ
- vfontcap ΥǥեȤѹѥå
- Group: ѹ
- /usr/src/VFjfm  /usr/local/src/VFjfm 
- strip ǥå:^)

* Wed Aug 18 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 4
- added script for /etc/ld.so.conf at %post 

* Wed Jun 30 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3
- changed Some tools in tools/* linked -lVFlib dynamically.
- added ln -fs libVFlib.so.2 libVFlib.so

* Wed Jun 26 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2
- added Patch2 for sparc
	in fman.c
	Commented-out free(FM_Table[port].path); 

%description
VFlib is a library for converting vector fonts to bitmap data. Its
functions include rotation, shrinking, and changing the slant of
characters. VFlib is used by localized software for Japanese document
processing that requires Kanji fonts, for example xdvi, dvi2ps,
ghostscript.

VFlib ϥ٥ȥեȤӥåȥޥåץǡؤѴ򤹤饤֥
Ǥ ʸβž̾βʤɤεǽ⤢ޤܸ˥
饤줿 xdvi, dvi2ps ghostscript ʤɤδեȤɬפȤ
ܸʸץꥱ󥽥եȥVFlib ȤäƤޤ

%package devel
Obsoletes: VFlib-devel, VFlib-FT-devel
Summary:  VFlib v%{version}Υإåեȥƥå饤֥
Group: Development/Libraries
Requires: VFlib2

%description devel
This package contains the VFlib2 static libraries and header files
required to develop VFlib2-based applications.
ΥѥåˤϡVFlib2Ѥץꥱγȯɬפʥ
ƥå饤֥ȥإåե뤬ޤޤƤޤ

%package VFjfm
Obsoletes: VFlib-VFjfm, VFlib-FT-VFjfm
Summary: VFlibѤ뤿Υե
Group: Applications/Publishing/TeX
Requires: VFlib2

%description VFjfm
JFM files (TFM files for ASCII Japanese TeX) and scripts to generating JFM files
and misc files to use DynaFont fonts by TeX and Ghostscript.

JFM ե(ASCII ܸ TeXǳƼΤȤɬפ TFM ե) ȡμư
ץȷӥʥեȤTeX  Ghostscript ǻȤγƼեࡣ

%prep
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/VFlib/VFjfm

%setup
install -c -m 0755 $RPM_SOURCE_DIR/install-sh ./

%ifarch ppc
cp vfontcap vfontcap.orig
%endif

%patch0 -p1
%patch1 -p1 -b .orig
%patch2 -p0
%patch3 -p0

%build
./configure --prefix=%{prefix} --sysconfdir=/etc --with-freetype=ttf
make CFLAGS="$RPM_OPT_FLAGS -ansi"

%install
make prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT/etc install

ln -fs libVFlib2.so.%{minver}.%{mminver}.0 \
       $RPM_BUILD_ROOT%{prefix}/lib/libVFlib.so.%{version}
ln -fs libVFlib2.a $RPM_BUILD_ROOT%{prefix}/lib/libVFlib.a
ln -fs libVFlib.so.%{version} $RPM_BUILD_ROOT%{prefix}/lib/libVFlib.so.%{majver}
ln -fs libVFlib.so.%{majver} $RPM_BUILD_ROOT%{prefix}/lib/libVFlib.so

strip $RPM_BUILD_ROOT%{prefix}/bin/{ktest,bdfindex,ttindex}

install -c -s -m 0755 src/fwindex $RPM_BUILD_ROOT%{prefix}/bin

install -c -s -m 0755 tools/.libs/disol  $RPM_BUILD_ROOT%{prefix}/bin
install -c -s -m 0755 tools/.libs/fmtest $RPM_BUILD_ROOT%{prefix}/bin
install -c -s -m 0755 tools/.libs/kban   $RPM_BUILD_ROOT%{prefix}/bin
install -c -s -m 0755 tools/.libs/vfperf $RPM_BUILD_ROOT%{prefix}/bin
install -c -s -m 0755 tools/.libs/vftest $RPM_BUILD_ROOT%{prefix}/bin

cp -af vfontcap $RPM_BUILD_ROOT/etc
cp -ar jTeX $RPM_BUILD_ROOT%{prefix}/share/VFlib/VFjfm
cp -ar dynafont $RPM_BUILD_ROOT%{prefix}/share/VFlib/VFjfm

chmod 644  $RPM_BUILD_ROOT%{prefix}/share/VFlib/VFjfm/jTeX/jfmsrc/MakeSlantTFM

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/VFlib2

%files
%config /etc/vfontcap
%doc COPYING* DISTRIB.txt README.txt* ReleaseNote doc
%{prefix}/lib/libVFlib2.so.%{minver}.%{mminver}.0
%{prefix}/lib/libVFlib2.so.%{minver}
%{prefix}/lib/libVFlib.so.%{version}
%{prefix}/lib/libVFlib.so.%{majver}
%{prefix}/bin/ttindex
%{prefix}/bin/bdfindex
%{prefix}/bin/fwindex
%{prefix}/bin/disol
%{prefix}/bin/fmtest
%{prefix}/bin/kban
%{prefix}/bin/ktest
%{prefix}/bin/vfperf 
%{prefix}/bin/vftest
%dir %{prefix}/share/VFlib/%{version}
%{prefix}/share/VFlib/%{version}/vfontcap
%{prefix}/share/VFlib/%{version}/vfontcap.bdf
%{prefix}/share/VFlib/%{version}/vfontcap.comp2
%{prefix}/share/VFlib/%{version}/vfontcap.orig

%files devel
%{prefix}/lib/libVFlib2.so
%{prefix}/lib/libVFlib2.a
%{prefix}/lib/libVFlib2.la
%{prefix}/lib/libVFlib.so
%{prefix}/lib/libVFlib.a
%{prefix}/include/VF.h

%files VFjfm
%dir %{prefix}/share/VFlib/VFjfm
%{prefix}/share/VFlib/VFjfm/*
